Subject: Re: [smartpowerdir] Internet Protocols for the Smart Grid

From: Fred Baker <[email-masked]>
Date: Mon, 8 Nov 2010 10:32:11 +0800

On Nov 8, 2010, at 10:27 AM, Satoru Kanno wrote:

> Camellia essential patents can be used at no charge by any Camellia user without concluding such royalty-free licensing agreement hereafter.

Not sure I understand the statement. Are you saying that an IPR notice has been posted offering royalty-free licensing, or that this is something that would have to be negotiated?

---

From: Sam Hartman <[email-masked]>
Date: Sun, 07 Nov 2010 21:58:37 -0500

>>>>> "Fred" == Fred Baker <[email-masked]> writes:

> Camellia essential patents can be used at no charge by any Camellia user without concluding such royalty-free licensing agreement hereafter.

    Fred> Not sure I understand the statement. Are you saying that an
    Fred> IPR notice has been posted offering royalty-free licensing, or
    Fred> that this is something that would have to be negotiated?

An IPr disclosure has been filed with royalty-free licensing.

---

From: Fred Baker <[email-masked]>
Date: Mon, 8 Nov 2010 12:18:57 +0800

> An IPr disclosure has been filed with royalty-free licensing.

Cool. Thanks.

---

From: Satoru Kanno <[email-masked]>
Date: Mon, 08 Nov 2010 11:27:22 +0900

Dear Vint,

I'm sorry for the delayed response.

Camellia essential patents can be used at no charge by any Camellia user 
without concluding such royalty-free licensing agreement hereafter.
And, IPR for IPsec and TLS have been published as a following URL;

o IPsec
  https://datatracker.ietf.org/ipr/771/
o TLS
  https://datatracker.ietf.org/ipr/41/

Regards,
Satoru

(2010/10/28 2:58), Vint Cerf wrote:
> I would have thought it preferable to avoid proprietary technology if
> at all possible unless it is provided gratis and in perpetuity to
> everyone?
>
> v
>
>
> On Wed, Oct 27, 2010 at 1:48 PM, Fred Baker<[email-masked]>  wrote:
>> Question - any opinions on NTT proprietary cipher suites in the draft-baker-ietf-core?
>>
>> On Oct 27, 2010, at 10:31 AM, Satoru Kanno wrote:
>>
>>> Dear Fred,
>>>
>>> Thank you for your reply.
>>>
>>> (2010/10/28 2:14), Fred Baker wrote:
>>>> What is the RFC number?
>>>>
>>>
>>> o TLS RFC
>>> RFC5932, Camellia Cipher Suites for TLS
>>> http://www.ietf.org/rfc/rfc5932.txt
>>>
>>> o IPsec RFC
>>> RFC 5529, Modes of Operation for Camellia for Use with IPsec
>>> http://www.ietf.org/rfc/rfc5529.txt
>>>
>>> RFC 4312, The Camellia Cipher Algorithm and Its Use With IPsec
>>> http://www.ietf.org/rfc/rfc4312.txt
>>>
>>> Regards,
>>> Satoru
>>>
>>>> On Oct 27, 2010, at 10:09 AM, Satoru Kanno wrote:
>>>>
>>>>> Dear Fred,
>>>>>
>>>>> My name is Satoru Kanno from NTT Software.
>>>>> I am working at standardization activity for Camellia cipher algorithm.
>>>>>
>>>>> I found your internet draft for 'Internet Protocol for the Smart Grid'.
>>>>>
>>>>> The your draft is referring to AES as suites as IPsec and TLS.
>>>>> We hope to add the Camellia's RFCs to your draft as OPTIONAL,
>>>>> because we strongly believe that Camellia has been specified in IPsec
>>>>> and TLS etc in IETF as well as AES.
>>>>>
>>>>> Additionally, the Smart Grid is important topics for NTT :)
>>>>>
>>>>> What do you think?
>>>>>
>>>>> o Camellia Information
>>>>>   http://info.isl.ntt.co.jp/crypt/eng/camellia/intro.html
>>>>>
>>>>> o Standardization related information
>>>>>   http://info.isl.ntt.co.jp/crypt/eng/camellia/standard.html
>>>>>
>>>>> Best regards,
>>>>>
>>>>> --
>>>>> Satoru Kanno
>>>>>
>>>>> Security Business Unit
>>>>> Mobile and Security Solution Business Group
>>>>> NTT Software Corporation
>>>>>
>>>>> e-mail: [email-masked]
>>>>>
>>>>
>>>>
>>>
>>>
>>> --
>>> Satoru Kanno
>>>
>>> Security Business Unit
>>> Mobile and Security Solution Business Group
>>> NTT Software Corporation
>>>
>>> e-mail: [email-masked]
>>>
>>
>>
>

-- 
Satoru Kanno

Security Business Unit
Mobile and Security Solution Business Group
NTT Software Corporation

e-mail: [email-masked]